Get applications by job ID
curl --request GET \
--url https://api.gospott.com/applications/vacancy/{vacancyId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/applications/vacancy/{vacancyId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/applications/vacancy/{vacancyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vacancy": {
"id": "<string>",
"restricted": true,
"client": {
"viewType": "vacancyClient",
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"logoUrl": "<string>"
}
},
"name": {
"viewType": "vacancyName",
"name": "<string>"
},
"description": {
"viewType": "vacancyDescription",
"description": "<string>"
},
"stage": {
"viewType": "vacancyStage",
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>",
"isOpen": true
}
},
"createdAt": {
"viewType": "vacancyCreatedAt",
"createdAt": "2023-11-07T05:31:56Z"
},
"startAt": {
"viewType": "vacancyStartAt",
"startAt": "2023-11-07T05:31:56Z"
},
"endAt": {
"viewType": "vacancyEndAt",
"endAt": "2023-11-07T05:31:56Z"
},
"salaryRange": {
"viewType": "vacancySalaryRange",
"salaryRange": {
"min": 123,
"max": 123
}
},
"location": {
"viewType": "vacancyLocation",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
}
]
},
"team": {
"viewType": "vacancyTeam",
"team": [
{
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
]
},
"employmentType": {
"viewType": "vacancyEmploymentType"
},
"locationType": {
"viewType": "vacancyLocationType"
},
"clientTeam": {
"viewType": "vacancyClientTeam",
"clientTeam": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"candidateId": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyLogoUrl": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
]
}
]
},
"scorecard": {
"viewType": "vacancyScorecard",
"scorecards": [
{
"groupName": "<string>",
"attributes": [
{
"attribute": "<string>"
}
]
}
]
},
"nextTaskDue": {
"viewType": "vacancyNextTaskDue",
"nextTaskDue": {
"id": "<string>",
"content": "<string>",
"dueDate": "2023-11-07T05:31:56Z"
}
},
"targetCompany": {
"viewType": "vacancyTargetCompany",
"targetCompany": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"logoUrl": "<string>"
}
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
],
"stageTotals": {
"viewType": "vacancyStageTotals",
"totals": [
{
"id": "<string>",
"name": "<string>",
"order": 123,
"total": 123
}
]
},
"jobBoards": [
{
"id": "<string>"
}
]
},
"applications": [
{
"id": "<string>",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"stage": {
"viewType": "applicationStage",
"id": "<string>",
"name": "<string>",
"order": 123,
"status": {
"id": "<string>",
"name": "<string>",
"colorHex": "<string>"
},
"colorHex": "<string>",
"templateId": "<string>"
},
"owner": {
"viewType": "applicationOwner",
"owner": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
},
"candidate": {
"viewType": "applicationCandidate",
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatarUrl": "<string>",
"emails": [
"<string>"
],
"lastWorkExperience": {
"id": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"jobTitle": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastInteractionWith": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"lastInteractionDate": "2023-11-07T05:31:56Z"
},
"isPlaced": true,
"applicationState": {
"viewType": "applicationState"
},
"noteCount": 123,
"commentCount": 123,
"uncompletedTaskCount": 123,
"nextInterview": {
"id": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"title": "<string>",
"meetingId": "<string>"
},
"latestActivity": {
"date": "2023-11-07T05:31:56Z",
"triggeredByUser": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"type": "applicationCreated",
"isInbound": true
}
}
]
}{
"status": 0,
"message": "Vacancy ID is required",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Applications
Get applications by job ID
Retrieve all applications associated with a specific job. Includes candidate information, application status, and stage progression details.
GET
/
applications
/
vacancy
/
{vacancyId}
Get applications by job ID
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
⌘I

